Bug 2011757 - nsd spec file scriptlets still used obsoleted conditional on systemd, causing sysvinit style exection
Summary: nsd spec file scriptlets still used obsoleted conditional on systemd, causing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nsd
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-07 09:57 UTC by Wei-Lun Chao
Modified: 2021-10-29 23:01 UTC (History)
4 users (show)

Fixed In Version: nsd-4.3.8-1.fc36 nsd-4.3.7-3.fc34 nsd-4.3.7-4.el8 nsd-4.3.7-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-15 20:57:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Wei-Lun Chao 2021-10-07 09:57:23 UTC
Description of problem:
Warning by install the package

Version-Release number of selected component (if applicable):
nsd-4.3.7-2

How reproducible:
always

Steps to Reproduce:
1. dnf install nsd
2.
3.

Actual results:
Error in POSTIN scriptlet in rpm package nsd

Expected results:
no error

Additional info:
failed command:
/sbin/chkconfig --add nsd

Comment 1 Fedora Update System 2021-10-08 13:15:38 UTC
FEDORA-2021-9472c5f88c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9472c5f88c

Comment 2 Fedora Update System 2021-10-08 13:15:50 UTC
FEDORA-2021-5a5c4c2f7c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a5c4c2f7c

Comment 3 Fedora Update System 2021-10-08 13:16:03 UTC
FEDORA-EPEL-2021-a42bf9d1cc has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a42bf9d1cc

Comment 4 Fedora Update System 2021-10-08 19:08:35 UTC
FEDORA-2021-5a5c4c2f7c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5a5c4c2f7c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a5c4c2f7c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-10-09 00:59:51 UTC
FEDORA-2021-9472c5f88c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9472c5f88c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9472c5f88c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-10-09 01:10:31 UTC
FEDORA-EPEL-2021-a42bf9d1cc has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a42bf9d1cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Wei-Lun Chao 2021-10-12 02:39:13 UTC
> rpm -Uvh nsd-4.3.7-3.fc34.x86_64.rpm
Failed to preset unit: Unit file nsd-keygen.service.service does not exist.

Comment 8 Paul Wouters 2021-10-15 20:42:37 UTC
thanks. fix coming in via 4.3.8 update

Comment 9 Fedora Update System 2021-10-15 20:55:50 UTC
FEDORA-2021-4c3340fb01 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c3340fb01

Comment 10 Fedora Update System 2021-10-15 20:57:14 UTC
FEDORA-2021-4c3340fb01 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-10-16 20:43:49 UTC
FEDORA-2021-9472c5f88c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-10-16 21:06:05 UTC
FEDORA-EPEL-2021-a42bf9d1cc has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-10-29 23:01:39 UTC
FEDORA-2021-5a5c4c2f7c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.